using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine.EventSystems;

public class FloorNavigation : MonoBehaviour, IPointerClickHandler
{
    public UnityEvent InteractInitiated;

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    public void OnPointerClick(PointerEventData pointerEventData)
    {
        InputHandler inputHandler = FindObjectOfType<InputHandler>();
        inputHandler.ClearQueueAndMove(this, pointerEventData.pointerCurrentRaycast.worldPosition);
    }

}
